package domain


type AlibabaWdkSkuChannelskuUpdateChannelSkuDo struct {
    /*
        销售规格     */
    SaleSpec  *string `json:"sale_spec,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        最小销售量     */
    SaleMinimum  *int64 `json:"sale_minimum,omitempty" `

    /*
        是否可退（0不可退，1可退，默认0）     */
    ReturnFlag  *string `json:"return_flag,omitempty" `

    /*
        销售价格（单位元）     */
    SalePrice  *string `json:"sale_price,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        门店或DC编码     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        状态，用来判断是否可售     */
    LifeStatus  *string `json:"life_status,omitempty" `

    /*
        出货仓     */
    DeliverWarehouse  *string `json:"deliver_warehouse,omitempty" `

    /*
        客户的商家编码 比如盒小马     */
    CustomerMerchantCode  *string `json:"customer_merchant_code,omitempty" `

    /*
        是否支持先销后采（默认false）     */
    SaleBeforePurchase  *bool `json:"sale_before_purchase,omitempty" `

    /*
        原始供应商编码     */
    OriginalSupplierNo  *string `json:"original_supplier_no,omitempty" `

    /*
        渠道（默认-1）     */
    ChannelCode  *int64 `json:"channel_code,omitempty" `

    /*
        是否toB渠道（默认false）     */
    ToBChannel  *bool `json:"to_b_channel,omitempty" `

    /*
        时间戳，时间的毫秒数     */
    TimeStamp  *int64 `json:"time_stamp,omitempty" `

    /*
        是否在线上露出，0不露出，1露出     */
    OnlineSaleFlag  *int64 `json:"online_sale_flag,omitempty" `

    /*
        渠道店id     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSaleSpec(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SaleSpec = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSaleUnit(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSaleMinimum(v int64) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SaleMinimum = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetReturnFlag(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.ReturnFlag = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSalePrice(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SalePrice = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSkuCode(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetOuCode(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetLifeStatus(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.LifeStatus = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetDeliverWarehouse(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.DeliverWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetCustomerMerchantCode(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.CustomerMerchantCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetSaleBeforePurchase(v bool) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.SaleBeforePurchase = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetOriginalSupplierNo(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.OriginalSupplierNo = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetChannelCode(v int64) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.ChannelCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetToBChannel(v bool) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.ToBChannel = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetTimeStamp(v int64) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.TimeStamp = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetOnlineSaleFlag(v int64) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.OnlineSaleFlag = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateChannelSkuDo) SetShopId(v string) *AlibabaWdkSkuChannelskuUpdateChannelSkuDo {
    s.ShopId = &v
    return s
}
